# UnsubscribeConfigurationResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class UnsubscribeConfigurationResponse

- java.lang.Object
- - io.dapr.client.domain.UnsubscribeConfigurationResponse

    public class UnsubscribeConfigurationResponse
    extends Object

Domain object for unsubscribe response.

### Constructor Summary

Constructors
`UnsubscribeConfigurationResponse​(boolean isUnsubscribed, String message)` Constructor for UnsubscribeConfigurationResponse.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getIsUnsubscribed()`
`String` `getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnsubscribeConfigurationResponse

    public UnsubscribeConfigurationResponse​(boolean isUnsubscribed,
                                            String message)

Constructor for UnsubscribeConfigurationResponse.

Parameters:
  `isUnsubscribed` - boolean denoting unsubscribe API response.
  `message` - unsubscribe API response message.

### Method Detail

#### getIsUnsubscribed

    public boolean getIsUnsubscribed()

#### getMessage

    public String getMessage()